> For the complete documentation index, see [llms.txt](https://docs.thesports.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thesports.com/csgo/realtime-data/schedule-and-results-date-query.md).

# Schedule and Results - date query

## Schedule and Results - date query

> This interface returns the full schedule results data within 24 hours after the request timestamp (request limit:from 30 days before today to 30 days after)\<br/>Note:Real-time data is obtained through the real-time data interface\<br/>\<br/>The recommended frequency of the day's schedule:10 Minutes/time(Full update)\<br/>Suggest request frequency for the schedule tomorrow and beyond:30 minutes/time(Full update)\<br/>Note:Get the full data of the match interface, this interface does not need to be obtained again

```json
{"openapi":"3.0.1","info":{"title":"Gaming CSGO API","version":"1.0.250516"},"tags":[{"name":"REALTIME DATA","description":"REALTIME DATA"}],"servers":[{"url":"https://api.thesports.com"}],"paths":{"/v1/csgo/match/diary":{"get":{"tags":["REALTIME DATA"],"description":"This interface returns the full schedule results data within 24 hours after the request timestamp (request limit:from 30 days before today to 30 days after)<br/>Note:Real-time data is obtained through the real-time data interface<br/><br/>The recommended frequency of the day's schedule:10 Minutes/time(Full update)<br/>Suggest request frequency for the schedule tomorrow and beyond:30 minutes/time(Full update)<br/>Note:Get the full data of the match interface, this interface does not need to be obtained again","summary":"Schedule and Results - date query","operationId":"getDiaryMatchList","parameters":[{"$ref":"#/components/parameters/User"},{"$ref":"#/components/parameters/Secret"},{"name":"tsp","in":"query","description":"Query date time stamp","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"query":{"$ref":"#/common/schemas/QuerySimp"},"results":{"type":"array","items":{"$ref":"#/components/schemas/Match"}},"results_extra":{"$ref":"#/components/schemas/ResultsExtra"}}}}}},"404":{"$ref":"#/components/responses/404NotFound"}}}}},"components":{"parameters":{"User":{"name":"user","in":"query","description":"Username,please contact business","required":true,"schema":{"type":"string"}},"Secret":{"name":"secret","in":"query","description":"Key,please contact business","required":true,"schema":{"type":"string"}}},"schemas":{"Match":{"type":"object","description":"Data details","properties":{"id":{"type":"string","description":"Match id"},"tournament_id":{"type":"string","description":"Tournament id"},"stage_id":{"type":"string","description":"Stage id"},"home_team_id":{"type":"string","description":"Home team id"},"away_team_id":{"type":"string","description":"Away team id"},"box":{"type":"integer","description":"Number of innings"},"round":{"type":"integer","description":"Number of rounds in a single match"},"home_score":{"type":"integer","description":"Home team wins"},"away_score":{"type":"integer","description":"Away team wins"},"status_id":{"type":"integer","description":"Match status, please refer to Status Code -> Match Status"},"match_time":{"type":"integer","description":"Match time"},"coverage":{"type":"object","description":"Animation","properties":{"mlive":{"type":"integer","description":"Is there any animation,1-yes,0-no"}}},"bp_data":{"type":"array","description":"Map bp","items":{"$ref":"#/components/schemas/MatchMAPBP"}},"description":{"type":"string","description":"Description"},"updated_at":{"type":"integer","description":"Update time"}}},"MatchMAPBP":{"type":"object","description":"Data details","properties":{"type":{"type":"integer","description":"1.ban 2.pick 3.Final use"},"map_id":{"type":"string","description":"Map id"},"team_id":{"type":"string","description":"Team id"}}},"ResultsExtra":{"type":"object","description":"Linked data","properties":{"tournament":{"type":"array","description":"Competition data","items":{"$ref":"#/components/schemas/ResultsExtraCompetition"}},"team":{"type":"array","description":"Team data","items":{"$ref":"#/components/schemas/ResultsExtraTeam"}},"stage":{"type":"array","description":"Stage data","items":{"$ref":"#/components/schemas/ResultsExtraStage"}}}},"ResultsExtraCompetition":{"type":"object","description":"Data details","properties":{"id":{"type":"string","description":"Competition id"},"name":{"type":"string","description":"Competition name"},"logo":{"type":"string","description":"Competition logo"}}},"ResultsExtraTeam":{"type":"object","description":"Data details","properties":{"id":{"type":"string","description":"Team id"},"name":{"type":"string","description":"Team name"},"logo":{"type":"string","description":"Team logo"}}},"ResultsExtraStage":{"type":"object","description":"Data details","properties":{"id":{"type":"string","description":"Stage id"},"name":{"type":"string","description":"Stage name"}}}},"responses":{"404NotFound":{"description":"Resource does not exist","content":{"application/json":{"schema":{"$ref":"#/common/schemas/ErrorMsg"}}}}}},"common":{"schemas":{"QuerySimp":{"type":"object","description":"Inquiry","properties":{"total":{"type":"integer","description":"Return the total amount of data"},"type":{"type":"string","description":"Query type,tournament query:tournament,date query:diary"}}},"ErrorMsg":{"type":"object","description":"abnormal","properties":{"code":{"type":"integer","description":"status code"},"msg":{"type":"string","description":"Error message"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thesports.com/csgo/realtime-data/schedule-and-results-date-query.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
